import Qt 4.7


Item {
    id: button
    property alias text: buttonText.text
    property alias textColor: buttonText.color
    property alias color: rectangle.color
    property alias gradient: rectangle.gradient
    property alias font: buttonText.font


    signal pressed()

    Rectangle {
        id: rectangle
        anchors.fill: parent
        radius: 10
        smooth: true


        Text {
            id: buttonText
            anchors.centerIn: parent
            text: ""
            color: "black"
        }

        MouseArea {
            anchors.fill: parent
            onPressed: button.pressed()
        }
    }

}
